| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxHtmlFontCell Class Reference
HTML

`#include <wx/html/htmlcell.h>`

Inheritance diagram for wxHtmlFontCell:
[legend]

## Detailed Description

This cell represents a font change in the document stream.

##

Library: wxHTML
Category: HTML

## Public Member Functions
| wxHtmlFontCell (wxFont *font)
Public Member Functions inherited from wxHtmlCell
| wxHtmlCell ()
| Constructor.
virtual bool | AdjustPagebreak (int *pagebreak, const wxArrayInt &known_pagebreaks, int pageHeight) const
| This method is used to adjust pagebreak position.
virtual void | Draw (wxDC &dc, int x, int y, int view_y1, int view_y2, wxHtmlRenderingInfo &info)
| Renders the cell.
virtual void | DrawInvisible (wxDC &dc, int x, int y, wxHtmlRenderingInfo &info)
| This method is called instead of Draw() when the cell is certainly out of the screen (and thus invisible).
virtual const wxHtmlCell * | Find (int condition, const void *param) const
| Returns pointer to itself if this cell matches condition (or if any of the cells following in the list matches), NULL otherwise.
int | GetDescent () const
| Returns descent value of the cell (m_Descent member).
virtual wxHtmlCell * | GetFirstChild () const
| Returns pointer to the first cell in the list.
int | GetHeight () const
| Returns height of the cell (m_Height member).
const wxString & | GetId () const
| Returns unique cell identifier if there is any, the empty string otherwise.
virtual wxHtmlLinkInfo * | GetLink (int x=0, int y=0) const
| Returns hypertext link if associated with this cell or NULL otherwise.
virtual wxCursor | GetMouseCursor (wxHtmlWindowInterface *window) const
| Returns cursor to show when mouse pointer is over the cell.
virtual wxCursor | GetMouseCursorAt (wxHtmlWindowInterface *window, const wxPoint &rePos) const
| Returns cursor to show when mouse pointer is over the specified point.
wxHtmlCell * | GetNext () const
| Returns pointer to the next cell in list (see htmlcell.h if you're interested in details).
wxHtmlContainerCell * | GetParent () const
| Returns pointer to parent container.
int | GetPosX () const
| Returns X position within parent (the value is relative to parent's upper left corner).
int | GetPosY () const
| Returns Y position within parent (the value is relative to parent's upper left corner).
int | GetWidth () const
| Returns width of the cell (m_Width member).
virtual void | Layout (int w)
| Layouts the cell.
virtual bool | ProcessMouseClick (wxHtmlWindowInterface *window, const wxPoint &pos, const wxMouseEvent &event)
| This function is simple event handler.
void | SetId (const wxString &id)
| Sets unique cell identifier.
void | SetLink (const wxHtmlLinkInfo &link)
| Sets the hypertext link associated with this cell.
void | SetNext (wxHtmlCell *cell)
| Sets the next cell in the list.
void | SetParent (wxHtmlContainerCell *p)
| Sets parent container of this cell.
virtual void | SetPos (int x, int y)
| Sets the cell's position within parent container.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxHtmlFontCell::wxHtmlFontCell | ( | wxFont * | font | ) |